﻿import { Grid, Edit, Toolbar, DialogEditEventArgs } from '@syncfusion/ej2-grids';
import { DataManager, UrlAdaptor } from '@syncfusion/ej2-data';
import { Tab } from '@syncfusion/ej2-navigations';
import { TextBox } from '@syncfusion/ej2-inputs';

Grid.Inject(Toolbar);
Grid.Inject(Edit);

let data: DataManager = new DataManager({
    url: '/api/data/nok',
    adaptor: new UrlAdaptor()
});

let grid = new Grid({
    dataSource: data,
    toolbar: ['Edit'],
    editSettings: { allowEditing: true, mode: 'Dialog', template: '#_gridTemplate' },
    columns: [
        { "field": "name" },
        { "field": "extra" }
    ],
    actionComplete: (args: DialogEditEventArgs) => {
        if (args.requestType === 'beginEdit') {
            let tab: Tab;
            tab = new Tab();
            tab.appendTo(document.getElementById('tab_html_markup'));

            // for some reason, dialog's height is maxed, remove that constraint
            // note: this is irrelevant to the sidebar bug
            document.getElementById('grid_dialogEdit_wrapper').style.maxHeight = null;

            let tb = new TextBox();
            tb.placeholder = 'Description';
            tb.floatLabelType = 'Always';
            tb.appendTo(document.getElementById('description'));
            tb.value = 'blabla blabla'
        }
    }
});

grid.appendTo('#grid');


